org.apache.olingo.odata2.jpa.processor.api.model

## Interface JPAEdmAssociationSetView

- All Superinterfaces:
    JPAEdmBaseView

      public interface JPAEdmAssociationSetView
      extends JPAEdmBaseView

  A view on Java Persistence Entity Relationship and Entity Data Model Association Set.

  The implementation of the view provides access to EDM Association Set created from Java Persistence Entity Relationship. The implementation act as a container for list of association sets that are consistent.

  See Also:
    `JPAEdmAssociationView`
  Do not implement this interface or derive from class.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<AssociationSet>` | `getConsistentEdmAssociationSetList()` The method returns a consistent list of association sets.
    `Association` | `getEdmAssociation()` The method returns an association from which the association set is currently being processed.
    `AssociationSet` | `getEdmAssociationSet()` The method returns an association set that is currently being processed.

    - ### Methods inherited from interface org.apache.olingo.odata2.jpa.processor.api.model.JPAEdmBaseView

      `clean, getBuilder, getJPAEdmExtension, getJPAEdmMappingModelAccess, getJPAMetaModel, getpUnitName, isConsistent, isDefaultNamingSkipped`

- - ### Method Detail

    - #### getConsistentEdmAssociationSetList

          List<AssociationSet> getConsistentEdmAssociationSetList()

      The method returns a consistent list of association sets. An association set is set to be consistent only if all its mandatory properties can be completely built from a Java Persistence Relationship.
      Returns:
        a consistent list of `AssociationSet`

    - #### getEdmAssociationSet

          AssociationSet getEdmAssociationSet()

      The method returns an association set that is currently being processed.
      Returns:
        an instance of type `AssociationSet`

    - #### getEdmAssociation

          Association getEdmAssociation()

      The method returns an association from which the association set is currently being processed.
      Returns:
        an instance of type `Association`

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.